# Interface UsesTree

All Superinterfaces:
  `DirectiveTree, Tree`

public interface UsesTree extends DirectiveTree
A tree node for a 'uses' directive in a module declaration. For example:

       uses service-name;

Since:
  9

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getServiceName()`
Returns the name of the service type.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getServiceName

ExpressionTree getServiceName()
Returns the name of the service type.

Returns:
  the name of the service type